Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.ruleparser
Class GroupRequirement

    java.lang.Object
      ipipan.spejd.ruleparser.EntityRequirement
          ipipan.spejd.ruleparser.GroupRequirement

    public class GroupRequirement

extends EntityRequirement

Representation of a groups specification, like `[type=NG]` or `[synh=[number~sg]]`.

Field Summary
`static int` | `BOTH`
`static int` | `SEMH`
`static int` | `SYNH`
`static int` | `TYPE`

Fields inherited from class ipipan.spejd.ruleparser.EntityRequirement
`NQ`

Constructor Summary
`GroupRequirement(Config conf)`

Method Summary
`void` | `setHead(int flags, TokenRequirement head)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toRegexp()`

Methods inherited from class ipipan.spejd.ruleparser.EntityRequirement
`safeRegexp, setQuantifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYNH

    public static final int SYNH

See Also:
  Constant Field Values

### SEMH

    public static final int SEMH

See Also:
  Constant Field Values

### BOTH

    public static final int BOTH

See Also:
  Constant Field Values

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### GroupRequirement

    public GroupRequirement(Config conf)

Method Detail

### setHead

    public void setHead(int flags,
                        TokenRequirement head)

### setType

    public void setType(java.lang.String type)

### toRegexp

    public java.lang.String toRegexp()

  Specified by:
    `toRegexp` in class `EntityRequirement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD